News::Scan::Article(3pm)

NAME
News::Scan::Article - collect information about news articles

SYNOPSIS
    use News::Scan::Article;

    my $art = News::Scan::Article->new( ARG, [ OPTIONS, ] SCAN );

DESCRIPTION
This module provides a derived class of "Mail::Internet" whose objects are suitable for digesting Usenet news articles.

CONSTRUCTOR

new ( ARG, [ OPTIONS, ] SCAN-OBJ )
    The "ARG" and "OPTIONS" parameters are identical to those required by "Mail::Internet", except "ARG" is required. See Mail::Internet. The "SCAN" parameter should be a "News::Scan" object. See News::Scan.

    If the article falls into the period of interest for "SCAN", the object is returned, else "undef".

METHODS

group ( [ SCAN-OBJ ] )
    Sets or returns an object's group depending on whether "SCAN-OBJ" is present.

author
    Returns the article's author represented as a "Mail::Address" object.

message_id
    Returns the article's Message-ID.

subject
    Returns the article's subject.

newsgroups
    Returns the list of newsgroups this article was posted to.

size
    Returns the size of this article in bytes.

header_size
    Returns the size of this article's header in bytes.

header_lines
    Returns the number of lines consumed in this article by headers.

body_size
    Returns the size of this article's body in bytes.

body_lines
    Returns the number of lines consumed in this article by the body.

orig_size
    Returns the size of this article's original content in bytes. See "QuoteRE" in News::Scan.

orig_lines
    Returns the number of lines consumed in this article by original content. Keep in mind that original content is a subset of the body.

sig_size
    Returns the size of this article'ss signature in bytes.

sig_lines
    Returns the number of lines consumed in this article by the signature.

SEE ALSO
News::Scan, Mail::Internet, Mail::Address

AUTHOR
Greg Bacon <gbacon@cs.uah.edu>

COPYRIGHT
Copyright (c) 1997 Greg Bacon. All Rights Reserved. This library is free software. You may distribute and/or modify it under the same terms as Perl itself.